## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate nettle

Name:           rust-nettle
Version:        7.3.0
Release:        %autorelease
Summary:        Rust bindings for the Nettle cryptographic library

License:        LGPL-3.0 OR GPL-2.0 OR GPL-3.0
URL:            https://crates.io/crates/nettle
Source:         %{crates_source}
# drop two elliptic curves that are disabled in nettle in Fedora:
# - nettle_get_secp_192r1
# - nettle_get_secp_224r1
Patch:          0001-drop-secp192r1-and-secp224r1-elliptic-curves.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust bindings for the Nettle cryptographic library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-GPL2
%license %{crate_instdir}/LICENSE-GPL3
%license %{crate_instdir}/LICENSE-LGPL3
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed May 17 2023 Fabio Valentini <decathorpe@gmail.com> - 7.3.0-1
- Update to version 7.3.0; Fixes RHBZ#2207633

* Thu Mar 16 2023 Fabio Valentini <decathorpe@gmail.com> - 7.2.2-1
- Update to version 7.2.2; Fixes RHBZ#2176566

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 23 2022 Fabio Valentini <decathorpe@gmail.com> - 7.2.0-1
- Update to version 7.2.0; Fixes RHBZ#2084099

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> - 7.1.0-1
- Update to version 7.1.0; Fixes RHBZ#2048584

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 18 2021 Fabio Valentini <decathorpe@gmail.com> - 7.0.3-1
- Update to version 7.0.3; Fixes RHBZ#2024213

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Fabio Valentini <decathorpe@gmail.com> - 7.0.2-1
- Update to version 7.0.2.
- Fixes RHBZ#1968668

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 7.0.1-1
- Initial package

